<template>
  <h1 class="text-3xl font-bold underline">
    Hello world!
  </h1>
  <p v-for="ticket in data?.tickets">{{ ticket.id }}: {{ ticket.title }}</p>
</template>

<script lang="ts" setup>
import { Ticket } from '@bojnit/consola-common/esm/app/doxy/tickets/ticket.entity';

//const x = new Ticket();

const query = gql`
  query getTickets {
    tickets {
      id
      title
      description
    }
  }
`
const variables  = {}
const { data } = await useAsyncQuery<{tickets: Ticket[]}>(query, variables)

const query2 = gql`
  mutation createTickett {
    createTicket(input: { title: "Ahoj", description: "wtf" }) {
      id
      title
      description
    }
  }
`

const {mutate} = useMutation<{createTicket: Ticket}>(query2)
const r = await mutate();
console.log(r?.data)
</script>
